| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csBox2Int Class Reference
[Geometry utilities]

A 2D bounding box with integer coordinates. More...

`#include <csgeom/tcovbuf.h>`

List of all members.

## Public Member Functions
csBox2Int & | operator+= (const csBox2Int &box)
## Public Attributes
int | maxx
int | maxy
int | minx
int | miny

## Detailed Description

A 2D bounding box with integer coordinates.

Definition at line 71 of file tcovbuf.h.

The documentation for this class was generated from the following file:

- csgeom/tcovbuf.h